<div *ngIf="showActions === true" style="margin-bottom: 20px">
  <nz-page-header>
    <nz-page-header-title>
      <nz-breadcrumb>
        <nz-breadcrumb-item><a routerLink="/">{{ 'Common.Homepage' | translate }}</a></nz-breadcrumb-item>
        <nz-breadcrumb-item>
          <a [routerLink]="['/country', country?.id]">{{ country?.name }}</a>
        </nz-breadcrumb-item>
        <nz-breadcrumb-item>{{ 'Military.Armies' | translate }}</nz-breadcrumb-item>
      </nz-breadcrumb>
    </nz-page-header-title>
  </nz-page-header>

  <nz-alert nzType="info" [nzMessage]="alertInfo">
    <ng-template #alertInfo>
      <div nz-row>
        <div nz-col nzSm="24" nzLg="12" style="padding-top: 5px">
          {{ 'Military.Army.YouCanViewArmies' | translate }}.
        </div>
        <div nz-col nzSm="24" nzLg="12" style="text-align: right">
          <button nz-button nzType="primary" nzShape="round" *ngIf="canCreate === true" (click)="create()" [nzLoading]="isLoading">
            {{ "Common.Buttons.Create" | translate }}
          </button>
        </div>
      </div>
    </ng-template>
  </nz-alert>
</div>

<nz-skeleton [nzActive]="true" [nzRound]="true" [nzLoading]="isLoading">
  <nz-empty *ngIf="country?.armies?.length === 0" nzNotFoundContent="No armies" nzNotFoundImage="simple" s></nz-empty>
  <div nz-row nzGutter="12">
    <div nz-col nzXs="24" nzSm="24" nzMd="12" nzXl="8" *ngFor="let item of country?.armies">
      <nz-card [nzTitle]="title" [nzExtra]="extra" nzSize="small" style="margin-bottom: 12px;">
        <ng-template #title>
          <a [routerLink]="['/army', item.id]">{{ item.name }}</a>
        </ng-template>
        <ng-template #extra>
          <button nz-button nzType="default" nzShape="round" *ngIf="item.canJoin === true" (click)="join(item)" [nzLoading]="isLoading">
            {{ "Common.Buttons.Join" | translate }}
          </button>
          <button nz-button nzType="default" nzShape="round" *ngIf="item.canSwitch === true" (click)="switchTo(item.id)"
            [nzLoading]="isLoading">
            {{ "Common.Buttons.Switch" | translate }}
          </button>
        </ng-template>
        <div nz-row nzGutter="12" style="text-align: center;">
          <div nz-col nzSpan="8">
            <nz-avatar nzShape="square" [nzSize]="64" nzIcon="user"
            [nzSrc]="item.avatar"></nz-avatar>
          </div>
          <div nz-col nzSpan="16">
            <div style="text-align: center; margin-top: 6px;">
              <div>{{ 'Military.Army.Members' | translate }}: {{ item.members.length }}</div>
              <div>{{ 'Military.Squads.Squads' | translate }}: {{ item.squads.length }}</div>
              <div>
                {{ 'Common.Location' | translate }}: <a [routerLink]="['/region', item.region.id]">{{ item.region.x }},
                  {{ item.region.y }}</a>
              </div>
            </div>
          </div>
        </div>
      </nz-card>
    </div>
  </div>
</nz-skeleton>
